<template>
  <div class="pb-[40px]">
    <div
      v-if="!welcomeTitle.IsHidden"
      class="py-0 px-4 my-0 mx-auto max-w-full w-full"
    >
      <div class="section__header">
        <h2 class="section__title">{{ welcomeTitle.Text }}</h2>
      </div>
      <div
        v-if="!welcomeImage.IsHidden"
        class="w-[358px] h-[400px] flex items-center"
      >
        <img :src="welcomeImage.ImagePath" alt="" />
      </div>
      <div v-if="!welcomeContent.IsHidden" class="seo-text_block">
        <div class="seo-text_wrapper">
          <div class="article__content">
            <span class="text-sm" v-html="welcomeContent.Text"></span>
          </div>
          <nuxt-link to="/about-us" class="read-more__button">
            {{ $t("see_all") }}
          </nuxt-link>
        </div>
      </div>
    </div>
  </div>
  <div
    v-if="!signupTitle.IsHidden && !signupContent.IsHidden"
    class="pt-[60px]"
  >
    <div class="py-0 px-4 my-0 mx-auto max-w-full w-full">
      <div class="banner__wrapper banner__wrapper--bonus">
        <div class="banner">
          <div class="banner__description">
            <h3 class="text-[#eef0f6] text-[20px] leading-7 mb-[10px]">
              {{ signupTitle.Text }}
            </h3>
            <p class="text-[#eef0f6] text-xs mb-0">{{ signupContent.Text }}</p>
          </div>
          <nuxt-link
            v-if="!register.IsHidden"
            to="/register"
            class="banner__link"
          >
            {{ $t("joinnow") }}
          </nuxt-link>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import commonHelper from "@/utils/commonHelper";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

export default defineComponent({
  props: {
    themeProperties: {
      type: Array as PropType<Array<IThemePropertiesFromApi>>,
      required: true,
    },
  },
  setup(props) {
    const signupContent = themePropertyHelper.getSingleThemeProperty(
      props.themeProperties,
      "footer_website_signup_content"
    );
    const signupTitle = themePropertyHelper.getSingleThemeProperty(
      props.themeProperties,
      "footer_website_signup_title"
    );
    const welcomeContent = themePropertyHelper.getSingleThemeProperty(
      props.themeProperties,
      "footer_website_introduce_content"
    );
    const welcomeImage = themePropertyHelper.getSingleThemeProperty(
      props.themeProperties,
      "footer_website_introduce"
    );
    const welcomeTitle = themePropertyHelper.getSingleThemeProperty(
      props.themeProperties,
      "footer_website_introduce_title"
    );
    const register = themePropertyHelper.getSingleThemeProperty(
      props.themeProperties,
      "register"
    );

    const { getAssetImage } = commonHelper;
    const fontsBannerBonus = `url(${getAssetImage(
      "assets/theme/black_modern_1/fonts/banner_bonus.svg"
    )})`;
    return {
      signupContent,
      signupTitle,
      fontsBannerBonus,
      welcomeContent,
      welcomeImage,
      welcomeTitle,
      register,
    };
  },
});
</script>

<style>
.banner {
  display: flex;
  -webkit-box-pack: justify;
  justify-content: space-between;
  width: 100%;
  height: 100%;
  align-items: flex-start;
  flex-direction: column;
  -webkit-box-align: start;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
}
.banner__link {
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  font-weight: 600;
  font-size: 16px;
  line-height: 24px;
  text-transform: uppercase;
  text-decoration: none !important;
}
.banner__wrapper {
  display: flex;
  -webkit-box-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  align-items: center;
  width: 100%;
  border: 2px solid var(--button-bg);
  box-shadow: var(--box-shadow);
  border-radius: 16px;
  color: #eef0f6;
  transition: all 0.4s;
  padding: 16px 20px;
  height: 160px;
}
.banner__wrapper--bonus {
  background-image: v-bind("fontsBannerBonus"), var(--background5);
  background-repeat: no-repeat;
  background-position: bottom right 5%;
  padding-right: 80px;
}
.read-more__button {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 102px;
  width: fit-content;
  padding: 0 20px;
  height: 40px;
  font-weight: 600;
  font-size: 14px;
  line-height: 20px;
  color: #707585;
  text-transform: uppercase;
  border-radius: 6px;
  background-color: var(--button-bg);
  box-shadow: var(--box-shadow);
  flex-shrink: 0;
}
.section__header {
  align-items: center;
  width: 100%;
  justify-content: space-between;
  display: flex;
  position: relative;
  margin-bottom: 24px;
  flex-wrap: wrap;
}
.article__content {
  max-width: 932px;
  width: 100%;
  flex-shrink: 0;
  border-radius: 24px;
  margin-top: 16px;
  box-shadow: none;
  padding: 0 0 40px 0;
  background: transparent;
}
</style>
